XMLWriter::startDTD
XMLWriter::startElement
XMLWriter Functions
PHP Manual

# XMLWriter::startElementNS

# xmlwriter_start_element_ns

(PHP 5 >= 5.1.2, PECL xmlwriter >= 0.1.0)

XMLWriter::startElementNS -- xmlwriter_start_element_ns — Create start namespaced element tag

### Description

Object oriented style

bool XMLWriter::startElementNS ( string `$prefix` , string `$name` , string `$uri` )

Procedural style

bool xmlwriter_start_element_ns ( resource `$xmlwriter` , string `$prefix` , string `$name` , string `$uri` )

Starts a namespaced element.

### Parameters

`xmlwriter`

  Only for procedural calls. The XMLWriter resource that is being modified. This resource comes from a call to xmlwriter_open_uri() or xmlwriter_open_memory().

`prefix`

  The namespace prefix.

`name`

  The element name.

`uri`

  The namespace URI.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- XMLWriter::endElement() - End current element
- XMLWriter::writeElementNS() - Write full namespaced element tag

XMLWriter::startDTD
XMLWriter::startElement
XMLWriter Functions
PHP Manual